      SUBROUTINE TIME(ITIME)
      CHARACTER*4 ITIME(3)
      INTEGER*2 IHR,IMIN,ISEC,I100TH
      CALL GETTIM(IHR,IMIN,ISEC,I100TH)
      ITIME(1)='  ' // CHAR(IHR/10+48) // CHAR(MOD(IHR,10)+48)
      ITIME(2)=':' // CHAR(IMIN/10+48) // CHAR(MOD(IMIN,10)+48) // ':'
      ITIME(3)=CHAR(ISEC/10+48) // CHAR(MOD(ISEC,10)+48)
      RETURN
      END
